<?php
require(dirname(__FILE__) .'/check.php');
$skin->CheckIframe();


/* **** 版权所有 ****

 程序开发：网钛科技
 网钛CMS官网：http://otcms.com
 网钛IDC官网：http://idccms.com
 ＱＱ：877873666
 微信：QQ877873666
 邮箱：877873666@qq.com

 **** 版权所有 **** */


//用户检测
$MB->Open('','login',10);


switch($mudi){
	case 'infoSet':
		$menuFileID = 178;
		$MB->IsSecMenuRight('alertBack',$menuFileID,$dataType);
		InfoSet();
		break;

	default:
		die('err');
}

$MB->Close();
$DB->Close();





// 基本设置
function InfoSet(){
	global $DB,$mudi,$menuFileID,$menuTreeID;

	$backURL		= OT::PostStr('backURL');
	$dataType		= OT::PostRegExpStr('dataType','sql');
	$dataTypeCN		= OT::PostRegExpStr('dataTypeCN','sql');

	$isUserSys		= OT::PostInt('isUserSys');
	$isAuthMail		= OT::PostInt('isAuthMail');
	$isAuthPhone	= OT::PostInt('isAuthPhone');
	$isLockMail		= OT::PostInt('isLockMail');
	$isLockPhone	= OT::PostInt('isLockPhone');
	$isMustMail		= OT::PostInt('isMustMail');
	$isMustPhone	= OT::PostInt('isMustPhone');
	$mustMailStr	= str_replace(array('"',"'"),array('“','’'),OT::PostStr('mustMailStr'));
	$mustPhoneStr	= str_replace(array('"',"'"),array('“','’'),OT::PostStr('mustPhoneStr'));
	$isOnlyMail		= OT::PostInt('isOnlyMail');
	$isOnlyPhone	= OT::PostInt('isOnlyPhone');
	$isShiming		= OT::PostInt('isShiming');
	$isPwdEn		= OT::PostInt('isPwdEn');
	$exitMinute		= OT::PostInt('exitMinute');
	$loginKey		= OT::PostStr('loginKey');
	$userFieldStr	= OT::Post('userFieldStr');
		if (is_array($userFieldStr)){ $userFieldStr = implode(',',$userFieldStr); }
	$announ			= Adm::FilterEditor(OT::PostStr('announ'));
	$isReg			= OT::PostInt('isReg');
	$isRegInvite	= OT::PostInt('isRegInvite');
	$isRegApi		= OT::PostInt('isRegApi');
	$apiRecMode		= OT::PostInt('apiRecMode');
	$isRegAudit		= OT::PostInt('isRegAudit');
	$againRegMinute	= OT::PostInt('againRegMinute');
	$regGroupID		= OT::PostInt('regGroupID');
	$regFieldStr	= OT::Post('regFieldStr');
		if (is_array($regFieldStr)){ $regFieldStr = implode(',',$regFieldStr); }
	$regNote		= Adm::FilterEditor(OT::PostStr('regNote'));
	$regBadWord		= OT::PostStr('regBadWord');
		if (substr($regBadWord,-1) == '|'){ $regBadWord = substr($regBadWord,0,-1); }
	$regAnnoun		= Adm::FilterEditor(OT::PostStr('regAnnoun'));
	$regAuthMail	= OT::PostInt('regAuthMail');
	$regAuthPhone	= OT::PostInt('regAuthPhone');
	$isLogin		= OT::PostInt('isLogin');
	$isLoginExp		= OT::PostInt('isLoginExp');
	$isLoginUser	= OT::PostInt('isLoginUser');
	$isLoginMail	= OT::PostInt('isLoginMail');
	$isLoginPhone	= OT::PostInt('isLoginPhone');
		if ($isLoginUser + $isLoginMail + $isLoginPhone == 0){
			$isLoginUser = 1;
		}
	$loginAnnoun	= Adm::FilterEditor(OT::PostStr('loginAnnoun'));
	$isMissPwd		= OT::PostInt('isMissPwd');
	$isMissPwdUser	= OT::PostInt('isMissPwdUser');
	$isMissPwdMail	= OT::PostInt('isMissPwdMail');
	$isMissPwdPhone	= OT::PostInt('isMissPwdPhone');
	$isNews			= OT::PostInt('isNews');
	$isNewsAdd		= OT::PostInt('isNewsAdd');
	$isNewsAudit	= OT::PostInt('isNewsAudit');
	$isNewsRev		= OT::PostInt('isNewsRev');
	$isNewsRevAudit	= OT::PostInt('isNewsRevAudit');
	$isNewsAuditDel	= OT::PostInt('isNewsAuditDel');
	$isNewsDel		= OT::PostInt('isNewsDel');
	$isRevSource	= OT::PostInt('isRevSource');
	$isRevWriter	= OT::PostInt('isRevWriter');
	$newsSource		= OT::PostStr('newsSource');
	$newsWriter		= OT::PostStr('newsWriter');
	$isNewsUpImg	= OT::PostInt('isNewsUpImg');
	$newsUpImgSize	= OT::PostInt('newsUpImgSize');
	$newsUpImgOss	= OT::PostStr('newsUpImgOss');
		if (strlen($newsUpImgOss) == 0){ $newsUpImgOss = 'web'; }
	$newsUpImgOri	= OT::PostInt('newsUpImgOri');
	$isNewsUpFile	= OT::PostInt('isNewsUpFile');
	$newsUpFileSize	= OT::PostInt('newsUpFileSize');
	$newsUpFileOss	= OT::PostStr('newsUpFileOss');
		if (strlen($newsUpFileOss) == 0){ $newsUpFileOss = 'web'; }
	$isNewsReadRight= OT::PostInt('isNewsReadRight');
	$newsAddiStr	= OT::Post('newsAddiStr');
		if (is_array($newsAddiStr)){ $newsAddiStr = implode(',',$newsAddiStr); }
	$isMarkNews		= OT::PostInt('isMarkNews');
	$isNewsVote		= OT::PostInt('isNewsVote');
	$isReply		= OT::PostInt('isReply');
	$topicID		= OT::PostInt('topicID');
	$topicList		= OT::Post('topicList');
		if (is_array($topicList)){ $topicList = ','. implode(',',$topicList) .','; }
	$topAddiID		= OT::PostInt('topAddiID');
	$addiID			= OT::PostInt('addiID');
	$isCheckUser	= OT::PostInt('isCheckUser');
	$addNewsAnnoun	= Adm::FilterEditor(OT::PostStr('addNewsAnnoun'));
	$isGainScore	= OT::PostInt('isGainScore');
	$gainScore1Rate	= OT::PostInt('gainScore1Rate');
		if ($gainScore1Rate > 100){ $gainScore1Rate = 100; }
	$gainScore2Rate	= OT::PostInt('gainScore2Rate');
		if ($gainScore2Rate > 100){ $gainScore2Rate = 100; }
	$gainScore3Rate	= OT::PostInt('gainScore3Rate');
		if ($gainScore3Rate > 100){ $gainScore3Rate = 100; }

	$isScore1		= OT::PostInt('isScore1');
	$isScore2		= OT::PostInt('isScore2');
	$isScore3		= OT::PostInt('isScore3');
	$score1Name		= OT::PostStr('score1Name');
		if (strlen($score1Name) == 0){ $score1Name = '积分1'; }
	$score2Name		= OT::PostStr('score2Name');
		if (strlen($score2Name) == 0){ $score2Name = '积分2'; }
	$score3Name		= OT::PostStr('score3Name');
		if (strlen($score3Name) == 0){ $score3Name = '积分3'; }
	$score1Unit		= OT::PostStr('score1Unit');
		if (strlen($score1Unit) == 0){ $score1Unit = '个'; }
	$score2Unit		= OT::PostStr('score2Unit');
		if (strlen($score2Unit) == 0){ $score2Unit = '个'; }
	$score3Unit		= OT::PostStr('score3Unit');
		if (strlen($score3Unit) == 0){ $score3Unit = '个'; }
	$event			= OT::Post('event');
		if (is_array($event)){ $event = implode(',',$event); }
	$newsBadMode	= OT::PostInt('newsBadMode');
	$newsBadWord	= OT::PostStr('newsBadWord');
	$tempSaveMin	= OT::PostInt('tempSaveMin');
		if ($tempSaveMin < 10){ $tempSaveMin = 10; }
	$newsEvent			= OT::Post('newsEvent');
		if (is_array($newsEvent)){ $newsEvent = implode(',',$newsEvent); }
	$loginUserRank		= OT::PostInt('loginUserRank');
	$loginMailRank		= OT::PostInt('loginMailRank');
	$loginPhoneRank		= OT::PostInt('loginPhoneRank');
	$loginMailMode		= OT::PostInt('loginMailMode');
	$loginPhoneMode		= OT::PostInt('loginPhoneMode');
	$isRepeatNews		= OT::PostInt('isRepeatNews');
	$isGroupRightList	= OT::PostInt('isGroupRightList');
	$shimingStr			= str_replace(array('"',"'"),array('“','’'),OT::PostStr('shimingStr'));
	$isNewsAuditLook	= OT::PostInt('isNewsAuditLook');
	$regWapAnnoun		= Adm::FilterEditor(OT::PostStr('regWapAnnoun'));
	$loginWapAnnoun		= Adm::FilterEditor(OT::PostStr('loginWapAnnoun'));
	$wapAnnoun			= Adm::FilterEditor(OT::PostStr('wapAnnoun'));
	$addNewsWapAnnoun	= Adm::FilterEditor(OT::PostStr('addNewsWapAnnoun'));
	$isRegRecomUser		= OT::PostInt('isRegRecomUser');
	$siteMsgIsSound		= OT::PostInt('siteMsgIsSound');
	$userAndGroupName	= OT::PostStr('userAndGroupName');
		if (strlen($userAndGroupName) == 0){ $userAndGroupName = '会员和会员组'; }
	$userAndGroupWapName = OT::PostStr('userAndGroupWapName');
		if (strlen($userAndGroupWapName) == 0){ $userAndGroupWapName = '会员和组'; }
	$shimingTypeStr		= OT::Post('shimingTypeStr');
		if (is_array($shimingTypeStr)){ $shimingTypeStr = implode(',',$shimingTypeStr); }
	$shimingAnnoun		= OT::PostStr('shimingAnnoun');
	$loginAnnoun2		= OT::PostStr('loginAnnoun2');
	$regAnnoun2			= OT::PostStr('regAnnoun2');
	$missPwdAnnoun		= OT::PostStr('missPwdAnnoun');
	$missPwdAnnoun2		= OT::PostStr('missPwdAnnoun2');
	$newsMngAnnoun		= OT::PostStr('newsMngAnnoun');
	$newsMngWapAnnoun	= OT::PostStr('newsMngWapAnnoun');
	$userAndGroupAnnoun	= OT::PostStr('userAndGroupAnnoun');
	$loginMode			= OT::PostInt('loginMode');
	$userMenuList		= OT::PostArrStr('userMenuList',',');
	$groupExpDay		= OT::PostInt('groupExpDay');
	$newsTypeStr		= OT::PostStr('newsTypeStr');
	$newsCloseArea		= OT::PostArrStr('newsCloseArea',',');
	$editorMode			= OT::PostStr('editorMode');
		if (! in_array($editorMode, array('tinymce','tinymce5','kindeditor4','kindeditor3','ckeditor4','ckeditor3','fckeditor','ueditor'))){
			$editorMode = 'kindeditor4';
		}
	$editorModeWap		= OT::PostStr('editorModeWap');
		if (! in_array($editorModeWap, array('tinymce','tinymce5','kindeditor4','kindeditor3','ckeditor4','ckeditor3','fckeditor','ueditor'))){
			$editorModeWap = 'kindeditor4';
		}
	$isOldSys			= OT::PostInt('isOldSys');
	$isScore4			= OT::PostInt('isScore4');
	$isScore5			= OT::PostInt('isScore5');
	$score4Name			= OT::PostStr('score4Name');
		if (strlen($score4Name) == 0){ $score4Name = '积分4'; }
	$score5Name			= OT::PostStr('score5Name');
		if (strlen($score5Name) == 0){ $score5Name = '积分5'; }
	$score4Unit			= OT::PostStr('score4Unit');
		if (strlen($score4Unit) == 0){ $score4Unit = '个'; }
	$score5Unit			= OT::PostStr('score5Unit');
		if (strlen($score5Unit) == 0){ $score5Unit = '个'; }
	$isLoginWeixinMp	= OT::PostInt('isLoginWeixinMp');
	$newSysWidth		= OT::PostInt('newSysWidth');

	$infoTypeName		= OT::PostStr('infoTypeName');
		if (strlen($infoTypeName) == 0){ $infoTypeName = '栏目文章'; }
	$infoTypeMode		= OT::PostStr('infoTypeMode');
		if (strlen($infoTypeMode) == 0){ $infoTypeMode = 'title'; }
	$infoTypeSort		= OT::PostStr('infoTypeSort');
		if (strlen($infoTypeSort) == 0){ $infoTypeSort = 'rank0'; }
	$infoTypeMenuMode	= OT::PostStr('infoTypeMenuMode');
		if (strlen($infoTypeMenuMode) == 0){ $infoTypeMenuMode = '0'; }
	$infoTypeMenuW		= OT::PostInt('infoTypeMenuW');
		if ($infoTypeMenuW <= 0){ $infoTypeMenuW = 0; }
	$infoTypeMenuH		= OT::PostInt('infoTypeMenuH');
		if ($infoTypeMenuH <= 0){ $infoTypeMenuH = 0; }
	$infoTypeSubMenuMode= OT::PostStr('infoTypeSubMenuMode');
		if (strlen($infoTypeSubMenuMode) == 0){ $infoTypeSubMenuMode = '0'; }
	$infoTypeSubMenuW	= OT::PostInt('infoTypeSubMenuW');
		if ($infoTypeSubMenuW <= 0){ $infoTypeSubMenuW = 0; }
	$infoTypeSubMenuH	= OT::PostInt('infoTypeSubMenuH');
		if ($infoTypeSubMenuH <= 0){ $infoTypeSubMenuH = 0; }
	$infoTypeSubMenuDefNum	= OT::PostInt('infoTypeSubMenuDefNum');
		if ($infoTypeSubMenuDefNum <= 0){ $infoTypeSubMenuDefNum = 0; }
	$infoTypeDayNum		= OT::PostInt('infoTypeDayNum');
		if ($infoTypeDayNum <= 0){ $infoTypeDayNum = 0; }
	$infoTypeEvent		= OT::PostArrStr('infoTypeEvent',',');
	$infoTypeAnnoun		= OT::PostStr('infoTypeAnnoun');
	$infoTypeAnnoun0	= OT::PostStr('infoTypeAnnoun0');
	$menuNum			= OT::PostInt('menuNum');
	$menuBtnList		= '';
		for ($i=1; $i<=$menuNum; $i++){
			if (strlen($menuBtnList) > 0){ $menuBtnList .= '<arr>'; }
			$menuBtnList .= OT::PostStr('menuName'. $i) .'|'. OT::PostStr('menuUrl'. $i) .'|'. OT::PostStr('menuTarget'. $i) .'|'. OT::PostStr('menuBg'. $i) .'|'. OT::PostStr('menuColor'. $i) .'|'. OT::PostStr('menuVisit'. $i) .'|';
		}
	$menuBtnWapNum		= OT::PostInt('menuBtnWapNum');

	$sign			= OT::PostStr('sign');
	$authState		= OT::PostStr('authState');

	if ($backURL == '' || ($sign=='' && $authState!='false') ){
		JS::AlertBackEnd('表单内容接收不全');
	}

	$record = array();
	$record['US_isUserSys']			= $isUserSys;
	$record['US_isOnlyMail']		= $isOnlyMail;
	$record['US_isOnlyPhone']		= $isOnlyPhone;
	$record['US_isShiming']			= $isShiming;
	$record['US_isPwdEn']			= $isPwdEn;
	$record['US_exitMinute']		= $exitMinute;
	$record['US_loginKey']			= $loginKey;
	$record['US_announ']			= $announ;
	$record['US_userFieldStr']		= $userFieldStr;
	$record['US_isReg']				= $isReg;
	$record['US_isRegAudit']		= $isRegAudit;
	$record['US_againRegMinute']	= $againRegMinute;
	$record['US_regGroupID']		= $regGroupID;
	$record['US_regFieldStr']		= $regFieldStr;
	$record['US_regNote']			= $regNote;
	$record['US_regBadWord']		= $regBadWord;
	$record['US_regAnnoun']			= $regAnnoun;
	$record['US_isLogin']			= $isLogin;
	$record['US_isLoginExp']		= $isLoginExp;
	$record['US_isLoginUser']		= $isLoginUser;
	$record['US_loginAnnoun']		= $loginAnnoun;
	$record['US_isMissPwd']			= $isMissPwd;
	$record['US_isMissPwdUser']		= $isMissPwdUser;
	$record['US_isMissPwdMail']		= $isMissPwdMail;
	$record['US_isMissPwdPhone']	= $isMissPwdPhone;
	$record['US_isNews']			= $isNews;
	$record['US_isNewsAdd']			= $isNewsAdd;
	$record['US_isNewsAudit']		= $isNewsAudit;
	$record['US_isNewsRev']			= $isNewsRev;
	$record['US_isNewsRevAudit']	= $isNewsRevAudit;
	$record['US_isNewsAuditDel']	= $isNewsAuditDel;
	$record['US_isNewsAuditLook']	= $isNewsAuditLook;
	$record['US_isNewsDel']			= $isNewsDel;
	$record['US_isRevSource']		= $isRevSource;
	$record['US_isRevWriter']		= $isRevWriter;
	$record['US_newsSource']		= $newsSource;
	$record['US_newsWriter']		= $newsWriter;
	$record['US_isNewsReadRight']	= $isNewsReadRight;
	$record['US_newsAddiStr']		= $newsAddiStr;
	$record['US_isMarkNews']		= $isMarkNews;
	$record['US_isNewsVote']		= $isNewsVote;
	$record['US_isReply']			= $isReply;
	$record['US_topAddiID']			= $topAddiID;
	$record['US_addiID']			= $addiID;
	$record['US_isCheckUser']		= $isCheckUser;
	$record['US_addNewsAnnoun']		= $addNewsAnnoun;
//	$record['US_isScore1']			= $isScore1;
	$record['US_isScore1']			= 1;
	$record['US_isScore2']			= $isScore2;
	$record['US_isScore3']			= $isScore3;
	$record['US_score1Name']		= $score1Name;
	$record['US_score2Name']		= $score2Name;
	$record['US_score3Name']		= $score3Name;
	$record['US_score1Unit']		= $score1Unit;
	$record['US_score2Unit']		= $score2Unit;
	$record['US_score3Unit']		= $score3Unit;
	$record['US_event']				= $event;
	$record['US_newsBadMode']		= $newsBadMode;
	$record['US_newsBadWord']		= $newsBadWord;
	$record['US_tempSaveMin']		= $tempSaveMin;
	$record['US_newsEvent']			= $newsEvent;
	$record['US_loginUserRank']		= $loginUserRank;
	$record['US_isRepeatNews']		= $isRepeatNews;
	$record['US_isGroupRightList']	= $isGroupRightList;
	$record['US_shimingStr']		= $shimingStr;
	$record['US_isRegRecomUser']	= $isRegRecomUser;
	$record['US_userAndGroupName']	= $userAndGroupName;
	$record['US_shimingTypeStr']	= $shimingTypeStr;
	$record['US_shimingAnnoun']		= $shimingAnnoun;
	$record['US_loginAnnoun2']		= $loginAnnoun2;
	$record['US_regAnnoun2']		= $regAnnoun2;
	$record['US_missPwdAnnoun']		= $missPwdAnnoun;
	$record['US_missPwdAnnoun2']	= $missPwdAnnoun2;
	$record['US_newsMngAnnoun']		= $newsMngAnnoun;
	$record['US_newsMngWapAnnoun']	= $newsMngWapAnnoun;
	$record['US_userAndGroupAnnoun']= $userAndGroupAnnoun;
	$record['US_loginMode']			= $loginMode;
	$record['US_userMenuList']		= $userMenuList;
	$record['US_groupExpDay']		= $groupExpDay;
	$record['US_newsTypeStr']		= $newsTypeStr;
	$record['US_newsCloseArea']		= $newsCloseArea;
	$record['US_editorMode']		= $editorMode;
	$record['US_editorModeWap']		= $editorModeWap;
	$record['US_isOldSys']			= $isOldSys;
	$record['US_isScore4']			= $isScore4;
	$record['US_isScore5']			= $isScore5;
	$record['US_score4Name']		= $score4Name;
	$record['US_score5Name']		= $score5Name;
	$record['US_score4Unit']		= $score4Unit;
	$record['US_score5Unit']		= $score5Unit;
	$record['US_isLoginWeixinMp']	= $isLoginWeixinMp;
	$record['US_newSysWidth']		= $newSysWidth;
	$record['US_infoTypeName']			= $infoTypeName;
	$record['US_infoTypeMode']			= $infoTypeMode;
	$record['US_infoTypeSort']			= $infoTypeSort;
	$record['US_infoTypeMenuMode']		= $infoTypeMenuMode;
	$record['US_infoTypeMenuW']			= $infoTypeMenuW;
	$record['US_infoTypeMenuH']			= $infoTypeMenuH;
	$record['US_infoTypeSubMenuMode']	= $infoTypeSubMenuMode;
	$record['US_infoTypeSubMenuW']		= $infoTypeSubMenuW;
	$record['US_infoTypeSubMenuH']		= $infoTypeSubMenuH;
	$record['US_infoTypeSubMenuDefNum']	= $infoTypeSubMenuDefNum;
	$record['US_infoTypeDayNum']		= $infoTypeDayNum;
	$record['US_infoTypeEvent']			= $infoTypeEvent;
	$record['US_infoTypeAnnoun']		= $infoTypeAnnoun;
	$record['US_infoTypeAnnoun0']		= $infoTypeAnnoun0;
	$record['US_menuBtnList']		= $menuBtnList;
	$record['US_menuBtnWapNum']		= $menuBtnWapNum;
	if (AppMail::Jud()){
		$record['US_isAuthMail']	= $isAuthMail;
		$record['US_regAuthMail']	= $regAuthMail;
		$record['US_isLockMail']	= $isLockMail;
		$record['US_isMustMail']	= $isMustMail;
		$record['US_mustMailStr']	= $mustMailStr;
	}
	if (AppPhone::Jud()){
		$record['US_isAuthPhone']	= $isAuthPhone;
		$record['US_regAuthPhone']	= $regAuthPhone;
		$record['US_isLockPhone']	= $isLockPhone;
		$record['US_isMustPhone']	= $isMustPhone;
		$record['US_mustPhoneStr']	= $mustPhoneStr;
	}
	if (AppLoginMail::Jud()){
		$record['US_isLoginMail']	= $isLoginMail;
		$record['US_loginMailRank']	= $loginMailRank;
		$record['US_loginMailMode']	= $loginMailMode;
	}
	if (AppLoginPhone::Jud()){
		$record['US_isLoginPhone']	= $isLoginPhone;
		$record['US_loginPhoneRank']= $loginPhoneRank;
		$record['US_loginPhoneMode']= $loginPhoneMode;
	}
	if (AppNewsGain::Jud()){
		$record['US_isGainScore']		= $isGainScore;
		$record['US_gainScore1Rate']	= $gainScore1Rate;
		$record['US_gainScore2Rate']	= $gainScore2Rate;
		$record['US_gainScore3Rate']	= $gainScore3Rate;
	}
	if (AppTopic::Jud()){
		$record['US_topicID']			= $topicID;
		$record['US_topicList']			= $topicList;
	}
	if (AppWap::Jud()){
		$record['US_regWapAnnoun']		= $regWapAnnoun;
		$record['US_loginWapAnnoun']	= $loginWapAnnoun;
		$record['US_wapAnnoun']			= $wapAnnoun;
		$record['US_addNewsWapAnnoun']	= $addNewsWapAnnoun;
		$record['US_userAndGroupWapName']	= $userAndGroupWapName;
	}
	if (AppSiteMessage::Jud()){
		$record['US_siteMsgIsSound']	= $siteMsgIsSound;
	}

	if ($authState != 'false'){
		$record['US_isRegInvite']		= $isRegInvite;
		$record['US_isRegApi']			= $isRegApi;
		$record['US_apiRecMode']		= $apiRecMode;
		$record['US_isNewsUpImg']		= $isNewsUpImg;
		$record['US_newsUpImgSize']		= $newsUpImgSize;
		$record['US_newsUpImgOss']		= $newsUpImgOss;
		$record['US_newsUpImgOri']		= $newsUpImgOri;
		$record['US_isNewsUpFile']		= $isNewsUpFile;
		$record['US_newsUpFileSize']	= $newsUpFileSize;
		$record['US_newsUpFileOss']		= $newsUpFileOss;
	}

	$fileResStr = '';
	$judRes = $DB->UpdateParam('userSys',$record,'US_ID=1');
		if ($judRes){
			$alertRes = '成功';

			$Cache = new Cache();
			$isJsRes = $Cache->Js('userSys');
				if ($isJsRes){
					$fileResStr .= '\n../cache/userSys.js 生成成功！';
				}else{
					$fileResStr .= '\n../cache/userSys.js 生成失败，请检查该目录或者文件是否有写入/修改权限！';
				}
			$isCacheRes = $Cache->Php('userSys');
				if ($isCacheRes){
					$fileResStr .= '\n../cache/userSys.php 生成成功！';
				}else{
					$fileResStr .= '\n../cache/userSys.php 生成失败，请检查该目录或者文件是否有写入/修改权限！';
				}

			if (Cache::UpdateConfigJs()){
				$fileResStr .= '\n../cache/js/configJs.js 生成成功！';
			}else{
				$fileResStr .= '\n../cache/js/configJs.js 生成失败，请检查该目录或者文件是否有写入/修改权限！';
			}
		}else{
			$alertRes = '失败';
		}

	// 操作日志记录
	Adm::AddLog(array(
		'note'		=> '【'. $dataTypeCN .'】修改'. $alertRes .'！',
		));

	JS::AlertHref('修改'. $alertRes .'\n'. $fileResStr, $backURL);
}

?>